Subject: Re: bug#76003: [PATCH] distribute NARs through IPFS.

From: Maxim Cournoyer <[email-masked]>
Date: Wed, 05 Feb 2025 15:22:05 +0900

Hi,

Justin Veilleux <[email-masked]> writes:

[...]

> These changes don't exploit every advantage of IPFS delivery
> (deduplication, "true decentralization", etc), but enable a non-trivial
> use-case: many machines on a local network can now distribute amongst
> themselves substitutes (thus reducing the total needed bandwidth)
> transparently.

Note that this is already possible via mdns discovery of substitute
servers advertising themselves via mDNS/DNS-SD (that's the
'--advertise?' option of guix-publish, coupled with the '--discover'
option of guix-daemon).

-- 
Thanks,
Maxim